@import '@reach/tabs/styles';

.wildcard-tabs {
    --small-size-font: 0.75rem;
    --medium-size-font: 0.875rem;
    --large-size-font: 1rem;

    [data-reach-tabs] {
        background: transparent;
    }

    [data-reach-tab] {
        align-items: center;
        letter-spacing: normal;
        margin: 0 0.375rem;
        padding: 0 0.125rem;
        color: var(--body-color);
        text-transform: none;
        display: inline-flex;
        flex-direction: column;
        justify-content: center;
        border-bottom: 2px solid transparent;
        &:active {
            background-color: transparent;
        }
        &:hover {
            border-bottom: 2px solid var(--border-color);
        }
        &[data-selected] {
            color: var(--body-color);
            font-weight: 700;
            border-bottom: 2px solid var(--brand-secondary);
        }
        // ::after used here for avoids the CLS when the font-weight change (see: https://css-tricks.com/bold-on-hover-without-the-layout-shift/)
        &::after {
            content: attr(data-tab-content);
            height: 0;
            text-transform: capitalize;
            visibility: hidden; // a11y: avoid detection for voice over
            overflow: hidden;
            user-select: none;
            pointer-events: none;
            font-weight: 700;
        }

        &:first-of-type {
            margin-left: 0;
        }

        &:focus-visible {
            outline: none;
            box-shadow: none;
            > .tab-label {
                padding: 0.125rem;
                margin: 0 -0.125rem;
                border-radius: var(--border-radius);
                outline: 1px solid transparent;
                box-shadow: var(--focus-box-shadow);
            }
        }
    }

    [data-reach-tab-list] {
        background: transparent;
    }

    .tablist-wrapper {
        min-height: 2rem;
        padding-bottom: 0;
        display: flex;
        align-items: stretch;
        justify-content: space-between;
    }

    .small {
        font-size: var(--small-size-font);
    }

    .medium {
        font-size: var(--medium-size-font);
    }

    .large {
        font-size: var(--large-size-font);
    }
}
